package Übungen.OnlineShop;

import java.util.ArrayList;

public class Warenkorb {
	private ArrayList<Produkt> produkte;
	
	public Warenkorb(ArrayList<Produkt> produkte) {
		super();
		this.produkte = produkte;
	}
	
	public void addProdukt(Produkt p) throws ProduktNotFoundException {
		if (p == null)
			throw new ProduktNotFoundException("Falsche Eingabe");
		
		this.produkte.add(p);
	}
	
	public void removeProdukt(Produkt p) throws ProduktNotFoundException  {
		
		for (Produkt pr: produkte)
			if (!pr.equals(p))
				throw new ProduktNotFoundException("Dieser Produkt ist bereits nicht im Warenkorb");
						
		produkte.remove(p);
	}
	
	public double gesamtPreisBerechnen() throws ProduktNotFoundException {
		
		if (produkte.size() == 0)
			throw new ProduktNotFoundException("Sie haben keine Artikel ");
		
		double gesamtPreis = 0;
		
		for (Produkt pr: produkte)
			gesamtPreis += pr.getPreis();
		
		return gesamtPreis;
	}
	
	
	
}
